#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  k3b-25.12.2

- Next

  KDE Plasma

- Up
- Home

# Further KDE packages

This chapter did not provide instructions for all of the available packages in the KDE Software Compilation (KDE Gear). The included packages were selected based on what most people would want to use on a standard desktop computer.

For a full list of available packages, have a look on the KDE download servers at https://download.kde.org/stable/release-service/25.12.2/src.

Editor Notes: https://wiki.linuxfromscratch.org/blfs/wiki/Further_KDE_Packages

Some additional packages worth mentioning are:

- Juk: A lightweight music player.

- Dragon: A video player.

- Kcalc: A scientific calculator.

- Kwalletmanager: A credentials management application.

- Marble: A global map program.

- Krdc: A Remote Desktop Viewer that supports VNC and RDP.

- A variety (about 40) of KDE games including: kpat, kfourinline, and kmines.

### Note

Some packages will require additional dependencies. To determine what dependencies are needed, run this command from the top of the source tree:

    cmake -W no-dev -LH .

Note that this creates some files in the top of the source directory, so that it is better to reextract a clean source before proceeding to the build.

Most of these packages can be built with the standard KDE instructions:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

And as the `root` user:

    make install

- Prev

  k3b-25.12.2

- Next

  KDE Plasma

- Up
- Home